# Parameters.tcl: top level input file allowing variation of parameters
# Units: kip, in
# Kevin Mackie, 2002/02/01
# mackie@ce.berkeley.edu
# University of California Berkeley
#
# Takes ground motion and structural input parameters from an
# input file (or specified herein) and passes information down 
# to GenerateBridge.tcl

wipe
source ModelS.tcl
source ModelD.tcl
source Combine.tcl
source PrintOut.tcl

set file_ID "Param_test.txt"
set comments "#"
set file [open [format "%s" $file_ID] "r"]
while {-1 != [gets $file line] } {
   if { [string first "#" $line] != 0 } {
      scan $line "%u %s %i %lf %lf %lf %lf %lf %lf %s %lf %lf %i %i %i" params dir skew L LoH fy fc r_s Dcs k wt r_t deck abut ida
      puts "PARAMETER GROUP $params initiated..."
      ModelS $params $dir $skew $L $LoH $fy $fc $r_s $Dcs $k $wt $r_t $deck $abut $ida
      set Tret [ModelD $params $dir 2.0 $skew $L $LoH $fy $fc $r_s $Dcs $k $wt $r_t $deck $abut $ida]
      Combine $params $dir 2.0 $L $LoH $ida $Tret
      PrintOut $params $dir $skew $L $LoH $fy $fc $r_s $Dcs $k $wt $r_t $deck $abut $ida 6.0
   }
}